#ifndef FUNCOES_H_
#define FUNCOES_H_

static const double PI = 3.14159265e+00;
static const double mi = 1.0;

//Valor do termo forcante
double func_termo_forcante(double x, double y, double t){
	double ut , u2x , u2y;
	
	ut = -exp(-t)*sin( 2.0*PI*x + 2.0*PI*y ); //derivada no tempo

	u2x = u2y = -exp(-t)*4.0*PI*PI*sin( 2.0*PI*x + 2.0*PI*y ); //segunda derivada no espaco

	return (ut -mi*(u2x + u2y));

}

//Valor exato da funcao
double funcao(double x, double y, double t){
	return (exp(-t)*sin(2.0*PI*x + 2.0*PI*y));
}

#endif /*FUNCOES_H_*/
