#include "grid.h"
#define OO 0.0
#define A 1.0
#define B 1.0
#define PI 3.14159265e+00

using namespace std;

Grid::~Grid(){}

Grid::Grid(int _nx, int _ny): nx(_nx) , ny(_ny){
	finest = false;
	hx = (A-OO)/nx;
	hy = (B-OO)/ny;
	
	nx++; ny++;
	c.create(nx, ny);
	r.create(nx, ny);
	r_temp.create(nx,ny);
	X.create(nx, ny);
	
	unsigned int i,j;
	double temp_hx, temp_hy;
	
	temp_hx = OO;
	temp_hy = OO;
	
	for(i=0 ; i < nx ; i++){ //Todos os pontos internos
		for(j=0 ; j < ny ; j++){
			X(i,j).x = temp_hx;
			X(i,j).y = temp_hy;
			temp_hy += hy;
		}
		temp_hx += hx;
		temp_hy = OO;
	}
}


void Grid::create_fine_grid(){
	v.create(nx, ny);
	v_old.create(nx, ny);
	finest = true;
}
